## noris-server 4.0-101

=== Makefile ===
build:

install: build
	cp -r root etc usr ${DESTDIR}/
			
clean:
	rm -f *-stamp
	dh_clean

=== debian/changelog ===
noris-server (4.0-101) etch; urgency=low

  * added fgruendl + mchouaieb to sysadm's keyring 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 09 Jun 2010 09:27:31 +0200

noris-server (4.0-100) etch; urgency=low

  * added lroehrl and hlagarde ssh-key to sysadm's keyring

 -- Stefan Pfab <stefan.pfab@noris.net>  Wed, 02 Jun 2010 16:18:10 +0200

noris-server (4.0-99) etch; urgency=low

  * ssteiner + ssturm zu root keys hinzugefügt

 -- Micha Krause <Micha@noris.de>  Mon, 10 May 2010 16:46:11 +0200

noris-server (4.0-98) etch; urgency=low

  * added ssteiner to sysadm keyring

 -- Georg Gliniak <itchy@jack.office.noris.de>  Thu, 18 Mar 2010 10:05:53 +0100

noris-server (4.0-97) etch; urgency=low

  * added ssh key for ssturm 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 12 Feb 2010 13:56:43 +0100

noris-server (4.0-96) etch; urgency=low

  * gaaar

 -- Micha Krause <Micha@noris.de>  Tue, 10 Nov 2009 17:19:16 +0100

noris-server (4.0-95) etch; urgency=low

  * RT#558288 vm.mmap_min_addr = 4096 2. Versuch.

 -- Micha Krause <Micha@noris.de>  Tue, 10 Nov 2009 17:02:52 +0100

noris-server (4.0-94) etch; urgency=low

  * RT#558288 vm.mmap_min_addr = 4096

 -- Micha Krause <Micha@noris.de>  Tue, 10 Nov 2009 16:31:38 +0100

noris-server (4.0-93) etch; urgency=low

  * ob2 cleanup

 -- Georg Gliniak <itchy@jack.office.noris.de>  Wed, 21 Oct 2009 12:49:53 +0200

noris-server (4.0-92) etch; urgency=low

  * added mkienel to root keyring.

 -- Micha Krause <Micha@noris.de>  Mon, 19 Oct 2009 07:59:48 +0200

noris-server (4.0-91) etch; urgency=low

  * removed msedlak from sysadm keyring; RT#518095

 -- Georg Gliniak <itchy@joe.office.noris.de>  Thu,  1 Oct 2009 12:37:43 +0200

noris-server (4.0-90) etch; urgency=low

  * Increased version number.

 -- Georg Gliniak <itchy@joe.office.noris.de>  Wed, 30 Sep 2009 15:42:59 +0200

noris-server (4.0-9) etch; urgency=low

  * Changed path of TESTFILE to /var/log/noris_backup in backup_wrapper
    and check_noris_backup.

 -- root <root@jack.office.noris.de>  Thu, 24 Sep 2009 08:37:03 +0200

noris-server (4.0-88) etch; urgency=low

  * Added new Nagios-Plugin for Backup-Monitoring (check_noris_backup)
  * Modified backup_wrapper
  * Modified postinst (nrpe pimping -> check_noris_backup)

 -- Georg Gliniak <itchy@joe.office.noris.de>  Thu, 17 Sep 2009 15:21:34 +0200

noris-server (4.0-87) etch; urgency=low

  * Backup ssh-key + backup_wraper.

 -- Micha Krause <Micha@noris.de>  Thu, 10 Sep 2009 16:25:06 +0200

noris-server (4.0-86) etch; urgency=low

  * Added fgruendl and gschroeder to sysadm keyring; RT#536486, RT#518651

 -- Georg Gliniak <itchy@joe.office.noris.de>  Mon,  7 Sep 2009 10:39:26 +0200

noris-server (4.0-85) etch; urgency=low

  * Removed apfau from sysadm keyring; RT#512817

 -- Georg Gliniak <itchy@joe.office.noris.de>  Tue, 25 Aug 2009 11:32:25 +0200

noris-server (4.0-84) etch; urgency=low

  * corrected path to types.db for collectd 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 10 Aug 2009 14:52:50 +0200

noris-server (4.0-83) etch; urgency=low

  * grr, stderr mag nicht in ne pipe

 -- Micha Krause <Micha@noris.de>  Fri,  7 Aug 2009 11:25:57 +0200

noris-server (4.0-82) etch; urgency=low

  * garr ein fi vergessen 

 -- Micha Krause <Micha@noris.de>  Fri,  7 Aug 2009 11:18:22 +0200

noris-server (4.0-81) etch; urgency=low

  * noris-apt schickte keine mails wenn apt-get update fehlschlägt

 -- Micha Krause <Micha@noris.de>  Fri,  7 Aug 2009 11:04:33 +0200

noris-server (4.0-80.14) etch; urgency=low

  * source .bashrc in .bash_profile

 -- Georg Gliniak <itchy@joe.office.noris.de>  Thu, 30 Jul 2009 15:47:12 +0200

noris-server (4.0-80.13) etch; urgency=low

  * Added .bash_profile to root home

 -- Georg Gliniak <itchy@joe.office.noris.de>  Wed, 29 Jul 2009 17:01:02 +0200

noris-server (4.0-80.12) etch; urgency=low

  * Added jgebhard to sysadm keyring; RT#527754

 -- Georg Gliniak <itchy@joe.office.noris.de>  Mon, 27 Jul 2009 12:56:45 +0200

noris-server (4.0-80.11) etch; urgency=low

  * fail, logname.sh noch geaendert

 -- Micha Krause <Micha@noris.de>  Thu, 09 Jul 2009 15:10:06 +0200

noris-server (4.0-80.10) etch; urgency=low

  * und das ganze noch fuer etch

 -- Micha Krause <Micha@noris.de>  Thu,  9 Jul 2009 15:01:58 +0200

noris-server (4.0-80.9) etch; urgency=low

  * Added new keys to sysadm keyring: nstoll, bdawuidow

 -- Georg Gliniak <itchy@joe.office.noris.de>  Mon,  6 Jul 2009 10:49:48 +0200

noris-server (4.0-80.8) etch; urgency=low

  * New *.noris.net SSL Certificate with SHA-1 encryption algorhythm.
    RT#511512

 -- Georg Gliniak <itchy@joe.office.noris.de>  Mon,  6 Jul 2009 10:28:25 +0200

noris-server (4.0-80.7) etch; urgency=low

  * Adding /etc/opt/omni/client/allow_hosts file to secure DataProtector
    backup client; RT#525133

 -- Georg Gliniak <itchy@joe.office.noris.de>  Thu,  2 Jul 2009 15:22:14 +0200

noris-server (4.0-80.6) etch; urgency=low

  * Removed oliver from sysadm keyring; RT#495769

 -- Georg Gliniak <itchy@joe.office.noris.de>  Wed,  1 Jul 2009 12:33:30 +0200

noris-server (4.0-80.5) etch; urgency=low

  * abgleich mit lenny-version

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 19 Jun 2009 13:37:43 +0200

noris-server (4.0-80.4) etch; urgency=low

  * sshd_config ergaenzt 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 19 Jun 2009 13:05:50 +0200

noris-server (4.0-80.3) etch; urgency=low

  * set AcceptEnv to LANG_* (RT#477338)

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 19 Jun 2009 13:00:09 +0200

noris-server (4.0-80.2) stable; urgency=low

  * remove tree (-> noris-base)

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 28 May 2009 10:30:25 +0200

noris-server (4.0-80.1) stable; urgency=low

  * added cracklib, s. #512829

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 28 May 2009 10:21:51 +0200

noris-server (4.0-80) stable; urgency=low

  * Added jscheiber, jschoenhaar, sgikas to sysadms keyring


=== debian/control ===
Source: noris-server
Section: noris/server
Priority: important
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-server
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, linuxlogo, apt-listchanges (>= 2.72.5), perl, grub | silo, bzip2, iptraf, changed-file, noris-firewall, memtest86 | memtest86+ | memtester, sudo, linux-image-686 | linux-image, exim4 | mail-transport-agent, apt-file, sysstat, vlan, noris-nagios-clientplugins, lshw, nagios-plugins-basic, mailx, slay, openssl, rsync, nagios-nrpe-server, dnsutils, cracklib2
Pre-Depends: noris-base (>= 4.0-10), cron, openbsd-inetd, sysv-rc, netbase (>= 4.29), collectd
Conflicts: ipchains, exim, exim-tls, netsaint-nrpe-server, netsaint-plugins,  netsaint-nrpe-server, noris-nrpe-server, nano, lilo
Replaces: noris-nrpe-server, netsaint-nrpe-server
Description: Server-Installation for noris network.
 This is a meta-package which depend on server-related packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-server.sgml > noris-server.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-server.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-server install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
